Bug Hunting Session
Bug 99578 - Writer clips text with low descenders in the last line
Summary: Writer clips text with low descenders in the last line
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2016-04-29 15:18 UTC by akash96j
Modified: 2019-10-04 03:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Clipped text (8.85 KB, image/png)
2016-04-29 15:18 UTC, akash96j
Details
sample document (16.67 KB, application/vnd.oasis.opendocument.text)
2016-04-30 16:44 UTC, akash96j
Details

Note You need to log in before you can comment on or make changes to this bug.
Description akash96j 2016-04-29 15:18:52 UTC
Created attachment 124734 [details]
Clipped text

Writer clips text with low descenders in the last line of a page.

To reproduce:
1. Open new writer doc and add some arabic text.
2. Increase the font size so the text spans atleast 2 pages.
3. Check the last line in the first page. The descenders are clipped.

Bug found on 5.0.1 rc2.

Bug also exists on 5.2 master.

Attached pic shows the clipped text.
Comment 1 raal 2016-04-30 13:48:10 UTC
Hello,

Thank you for filing the bug. Please send us a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO', so please do change it back to 'UNCONFIRMED' once you have attached a document.
(Please note that the attachment will be public, remove any sensitive information before attaching it.)
How can I eliminate confidential data from a sample document?
https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F
Thank you
Comment 2 akash96j 2016-04-30 16:44:21 UTC
Created attachment 124751 [details]
sample document
Comment 3 Buovjaga 2016-05-06 13:41:08 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha1+
Build ID: 540fee2dc7553152914f7f1d8a41921e765087ef
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on April 30th 2016
Comment 4 QA Administrators 2017-05-22 13:40:04 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2018-10-03 17:37:00 UTC
Still repro.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 36befb3aca96907a14e71e82497dbb8f03ead5ab
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 3 October 2018
Comment 6 QA Administrators 2019-10-04 03:05:58 UTC
Dear akash96j,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug